export default (function (formatMessage, intlPrefix) {
  return {
    autoQuery: false,
    selection: false,
    paging: false,
    fields: [{
      name: 'name',
      type: 'string',
      label: formatMessage({
        id: "".concat(intlPrefix, ".instance.pod")
      })
    }, {
      name: 'instanceName',
      type: 'string',
      label: formatMessage({
        id: 'instance'
      })
    }, {
      name: 'memoryUsed',
      type: 'string',
      label: formatMessage({
        id: "".concat(intlPrefix, ".used.memory")
      })
    }, {
      name: 'cpuUsed',
      type: 'string',
      label: formatMessage({
        id: "".concat(intlPrefix, ".used.cpu")
      })
    }, {
      name: 'podIp',
      type: 'string',
      label: formatMessage({
        id: "".concat(intlPrefix, ".instance.ip")
      })
    }, {
      name: 'creationDate',
      type: 'string',
      label: formatMessage({
        id: 'createDate'
      })
    }],
    transport: {
      read: {
        method: 'get'
      }
    }
  };
});